Subject: Re: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Oct 2022 21:54:51 +0200

> Date: Sun, 30 Oct 2022 21:13:51 +0200
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> >> Do you have a link to that message? Details matter.
> > 
> > Not anymore, sorry.  It doesn't really matter, if you are now okay
> > with making buffers that don't visit files by default not belong to a
> > project, regardless of their default-directory.
> 
> It would help remind you of the original explanation, instead of putting 
> me on the defensive.

You don't need to be defensive, I did not intend to restart the
argument.  I just wanted to inform João that your opinion was and
remains that non-file visiting buffers should be part of the project,
that's all.

> The issue Joao is having, however, is with particular "hidden" 
> non-file-visiting buffers (in fundamental-mode). And here the argument 
> could be made both ways.

He was making a more general argument about buffers that don't visit
files, AFAIU.  I wanted to inform him that this idea was already
considered in the past.